Index: trunk/sources/HeuristicLab.Problems.ArtificialAnt/3.4/Symbols/IfFoodAhead.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.ArtificialAnt/3.4/Symbols/IfFoodAhead.cs	(revision 5809)
+++ trunk/sources/HeuristicLab.Problems.ArtificialAnt/3.4/Symbols/IfFoodAhead.cs	(revision 6803)
@@ -28,4 +28,14 @@
   [Item("IfFoodAhead", "Represents the if-food-ahead symbol in a artificial ant expression.")]
   public sealed class IfFoodAhead : Symbol {
+    private const int minimumArity = 2;
+    private const int maximumArity = 3;
+
+    public override int MinimumArity {
+      get { return minimumArity; }
+    }
+    public override int MaximumArity {
+      get { return maximumArity; }
+    }
+
     [StorableConstructor]
     private IfFoodAhead(bool deserializing) : base(deserializing) { }
Index: trunk/sources/HeuristicLab.Problems.ArtificialAnt/3.4/Symbols/Left.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.ArtificialAnt/3.4/Symbols/Left.cs	(revision 5809)
+++ trunk/sources/HeuristicLab.Problems.ArtificialAnt/3.4/Symbols/Left.cs	(revision 6803)
@@ -28,4 +28,14 @@
   [Item("Left", "Represents the turn-left symbol in a artificial ant expression.")]
   public sealed class Left : Symbol {
+    private const int minimumArity = 0;
+    private const int maximumArity = 0;
+
+    public override int MinimumArity {
+      get { return minimumArity; }
+    }
+    public override int MaximumArity {
+      get { return maximumArity; }
+    }
+
     [StorableConstructor]
     private Left(bool deserializing) : base(deserializing) { }
Index: trunk/sources/HeuristicLab.Problems.ArtificialAnt/3.4/Symbols/Move.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.ArtificialAnt/3.4/Symbols/Move.cs	(revision 5809)
+++ trunk/sources/HeuristicLab.Problems.ArtificialAnt/3.4/Symbols/Move.cs	(revision 6803)
@@ -28,4 +28,14 @@
   [Item("Move", "Represents the move-forward symbol in a artificial ant expression.")]
   public sealed class Move : Symbol {
+    private const int minimumArity = 0;
+    private const int maximumArity = 0;
+
+    public override int MinimumArity {
+      get { return minimumArity; }
+    }
+    public override int MaximumArity {
+      get { return maximumArity; }
+    }
+
     [StorableConstructor]
     private Move(bool deserializing) : base(deserializing) { }
Index: trunk/sources/HeuristicLab.Problems.ArtificialAnt/3.4/Symbols/Prog2.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.ArtificialAnt/3.4/Symbols/Prog2.cs	(revision 5809)
+++ trunk/sources/HeuristicLab.Problems.ArtificialAnt/3.4/Symbols/Prog2.cs	(revision 6803)
@@ -29,4 +29,14 @@
   [Item("Prog2", "Represents the sequence symbol with 2 sub-trees in a artificial ant expression.")]
   public sealed class Prog2 : Symbol {
+    private const int minimumArity = 2;
+    private const int maximumArity = 2;
+
+    public override int MinimumArity {
+      get { return minimumArity; }
+    }
+    public override int MaximumArity {
+      get { return maximumArity; }
+    }
+
     [StorableConstructor]
     private Prog2(bool deserializing) : base(deserializing) { }
Index: trunk/sources/HeuristicLab.Problems.ArtificialAnt/3.4/Symbols/Prog3.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.ArtificialAnt/3.4/Symbols/Prog3.cs	(revision 5809)
+++ trunk/sources/HeuristicLab.Problems.ArtificialAnt/3.4/Symbols/Prog3.cs	(revision 6803)
@@ -28,4 +28,14 @@
   [Item("Prog3", "Represents the sequence symbol with 3 sub-trees in a artificial ant expression.")]
   public sealed class Prog3 : Symbol {
+    private const int minimumArity = 3;
+    private const int maximumArity = 3;
+
+    public override int MinimumArity {
+      get { return minimumArity; }
+    }
+    public override int MaximumArity {
+      get { return maximumArity; }
+    }
+
     [StorableConstructor]
     private Prog3(bool deserializing) : base(deserializing) { }
Index: trunk/sources/HeuristicLab.Problems.ArtificialAnt/3.4/Symbols/Right.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.ArtificialAnt/3.4/Symbols/Right.cs	(revision 5809)
+++ trunk/sources/HeuristicLab.Problems.ArtificialAnt/3.4/Symbols/Right.cs	(revision 6803)
@@ -28,4 +28,14 @@
   [Item("Right", "Represents the turn-right symbol in a artificial ant expression.")]
   public sealed class Right : Symbol {
+    private const int minimumArity = 0;
+    private const int maximumArity = 0;
+
+    public override int MinimumArity {
+      get { return minimumArity; }
+    }
+    public override int MaximumArity {
+      get { return maximumArity; }
+    }
+
     [StorableConstructor]
     private Right(bool deserializing) : base(deserializing) { }
